RemoveAllOperationContext (Apache Geode 1.15.4)

org.apache.geode.cache.operations

## Class RemoveAllOperationContext

- java.lang.Object
- - org.apache.geode.cache.operations.OperationContext
  - - org.apache.geode.cache.operations.RemoveAllOperationContext

- Deprecated.
  since Geode1.0, use `ResourcePermission` instead

      @Deprecated
      public class RemoveAllOperationContext
      extends OperationContext

  Encapsulates a `OperationContext.OperationCode.REMOVEALL` operation for both the pre-operation and post-operation cases.
  Since:
    GemFire 8.1

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.geode.cache.operations.OperationContext

      `OperationContext.OperationCode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoveAllOperationContext(Collection<?> keys)` Deprecated. Constructor for the operation.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getCallbackArg()` Deprecated. Get the callback argument object for this operation.
    `Collection<?>` | `getKeys()` Deprecated. Returns the keys for this removeAll in an unmodifiable collection.
    `OperationContext.OperationCode` | `getOperationCode()` Deprecated. Return the operation associated with the `OperationContext` object.
    `boolean` | `isPostOperation()` Deprecated. True if the context is for post-operation.
    `void` | `setCallbackArg(Object callbackArg)` Deprecated. Set the callback argument object for this operation.
    `protected void` | `setPostOperation()` Deprecated. Set the post-operation flag to true.

    - ### Methods inherited from class org.apache.geode.cache.operations.OperationContext

      `isClientUpdate, isClientUpdate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoveAllOperationContext

          public RemoveAllOperationContext(Collection<?> keys)

      Deprecated.
      Constructor for the operation.
      Parameters:
        `keys` - the keys to remove

  - ### Method Detail

    - #### getOperationCode

          public OperationContext.OperationCode getOperationCode()

      Deprecated.
      Return the operation associated with the `OperationContext` object.
      Specified by:
        `getOperationCode` in class `OperationContext`
      Returns:
        `OperationCode.RemoveAll`.

    - #### isPostOperation

          public boolean isPostOperation()

      Deprecated.
      True if the context is for post-operation.
      Specified by:
        `isPostOperation` in class `OperationContext`
      Returns:
        whether the context is for post-operation

    - #### setPostOperation

          protected void setPostOperation()

      Deprecated.
      Set the post-operation flag to true.

    - #### getKeys

          public Collection<?> getKeys()

      Deprecated.
      Returns the keys for this removeAll in an unmodifiable collection.
      Returns:
        the keys for this removeAll in an unmodifiable collection

    - #### getCallbackArg

          public Object getCallbackArg()

      Deprecated.
      Get the callback argument object for this operation.
      Returns:
        the callback argument object for this operation.

    - #### setCallbackArg

          public void setCallbackArg(Object callbackArg)

      Deprecated.
      Set the callback argument object for this operation.
      Parameters:
        `callbackArg` - the callback argument object for this operation.